@font-face {
    font-family: 'Compasssans';
    src: url('https://digitalbutlers.me/sources/common/fonts/CompassSans/CompassSans-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: auto;
}

@font-face {
    font-family: 'Compasssans';
    src: url('https://digitalbutlers.me/sources/common/fonts/CompassSans/CompassSans-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: auto;
}

@font-face {
    font-family: 'Compasssans';
    src: url('https://digitalbutlers.me/sources/common/fonts/CompassSans/CompassSans-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: auto;
}

:root {
    --color1: #2363D7 !important;
    --color2: #82A7E9 !important;
    --color3: #E3EBFA !important;
    --color4: #ffffff !important;
    --color5: #000000 !important;
    --color6: #E3EBFA !important;
    --color7: #8F8F8F !important;

    --font-family: 'Compasssans', sans-serif !important;

    --transition2: all .2s ease-in-out;
}

body::-webkit-scrollbar,
#IDX-resultsContent::-webkit-scrollbar {
    width: 6px;
}

body::-webkit-scrollbar-track,
#IDX-resultsContent::-webkit-scrollbar-track {
    background-color: var(--color3);
}

body::-webkit-scrollbar-thumb,
#IDX-resultsContent::-webkit-scrollbar-thumb{
    /*box-shadow: inset 0 0 6px var(--color1);*/
    background-color:  var(--color1);
}

#IDX-main {
    width: 100%;
}

#IDX-main,
#IDX-main *:not(.fa),
ul * {
    font-family: var(--font-family);
}

/* BASIC SEARCH PAGE */

/* NAVBAR */
div.IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-collapse {
    padding: 0px;
}

.IDX-wrapper-standard #IDX-searchPageWrapper.idx-page__search #IDX-navbar,
.IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default {
    padding: 5px;
    border-radius: 4px;
    background-color: var(--color3);
    border: none;
    margin: 0 0 20px 0;
}

@media (max-width: 449px) {
    .IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-toggle > .IDX-icon-bar,
    .IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-toggle:hover > .IDX-icon-bar {
        background-color: var(--color4);
    }

    .IDX-wrapper-standard #IDX-searchPageWrapper.idx-page__search #IDX-navbar,
    .IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default {
        background-color: var(--color1);
    }

    .IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-toggle,
    .IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-toggle {
        background-color: var(--color1);
        border-color: var(--color4);
        border-radius: 4px;
    }

    .IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-toggle:focus,
    .IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-toggle:hover {
        background-color: var(--color2);
        border-color: var(--color4);
        border-radius: 4px;
    }

    .IDX-wrapper-standard .IDX-navbar-nav {
        margin: 0;
    }

    .IDX-wrapper-standard .IDX-navbar-collapse,
    .IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-collapse,
    .IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-form {
        border-top: 1px solid var(--color2);
    }
}

/* NAVBAR ITEM */
.IDX-searchNavLink {
    border-radius: 4px;
}

div.IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-nav > li > a,
.IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-nav > li > a {
    color: var(--color2);
    font-weight: 600;
    transition: var(--transition2);
}

/* NAVBAR ITEM HOVER */
div.IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-nav > li > a:hover,
.IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-nav > li > a:hover {
    color: var(--color1);
    background-color: transparent;
}

/* NAVBAR ITEM ACTIVE */
div.IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-nav > .IDX-active > a,
.IDX-wrapper-standard .IDX-mobileFirst--neutral .IDX-navbar-default .IDX-navbar-nav > li.IDX-active > a,
.IDX-wrapper-standard.IDX-page-address .IDX-navbar-default .IDX-navbar-nav > .IDX-active > .IDX-searchNavLink {
    background-color: var(--color1);
    color: var(--color4);
}

div.IDX-wrapper-standard .IDX-navbar-default .IDX-navbar-nav > .IDX-active > a:hover {
    background-color: var(--color1);
}

/* FORM */
#IDX-searchForm {
    position: relative;
}

/* SEARCH */
#IDX-coreSearchFields {
    position: relative;
}

/* SEARCH BUTTON */
.idx-submit-group.idx-form__group {
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
}

@media (max-width: 449px) {
    .idx-submit-group.idx-form__group {
        margin: 15px 0;
        position: static;
        transform: translateY(0%);
    }
}

/* SEARCH INPUT */
.IDX-wrapper-standard #IDX-ccz-group .select2-container.select2-container-multi .select2-choices {
    padding-right: 340px;
    border-color: var(--color1);
    border-radius: 4px;
}

@media (max-width: 449px) {
    .IDX-wrapper-standard #IDX-ccz-group .select2-container.select2-container-multi .select2-choices {
        padding-right: 0;
    }
}

/* OPTIONS */
#IDX-coreSearchFields + .idx-flex {
    position: absolute;
    top: 6px;
    right: 135px;
    border: 1px solid var(--color1);
    border-radius: 4px;
    color: var(--color1);
    transition: var(--transition2);
    background-color: var(--color4);

    /*padding: 14px 45px 14px 30px;*/
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/arrow-down--blue.svg);
    background-size: 12px;
    background-position: 90% 50%;
    background-repeat: no-repeat;
}

#IDX-coreSearchFields + .idx-flex a {
    padding: 14px 45px 14px 30px;
}

@media (max-width: 449px) {
    #IDX-coreSearchFields + .idx-flex {
        position: static;
        justify-content: center!important;

        background-position: 80% 50%;
    }

    #IDX-coreSearchFields + .idx-flex a {
        width: 100%;
        padding: 14px 0;
        text-align: center;
    }
}

#basic-fields-toggle {
    margin: 0;
    color: var(--color1);
    transition: var(--transition2);
}

#IDX-coreSearchFields + .idx-flex:hover {
    background-color: var(--color1);
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/arrow-down--white.svg);
}

#IDX-coreSearchFields + .idx-flex:hover #basic-fields-toggle {
    color: var(--color4)
}

/* BUTTONS */
#IDX-coreSearchFields .idx-btn.idx-btn--primary, #IDX-coreSearchFields .idx-btn.idx-btn--primary:hover, #IDX-coreSearchFields .idx-btn.idx-btn--primary:focus {
    padding: 14px 30px;
    border-radius: 4px;
    outline: none;
    border: 1px solid var(--color1);
    background-color: var(--color1);
    font-weight: 600;
    transition: var(--transition2);
}

#IDX-coreSearchFields .idx-btn.idx-btn--primary[data-action="search"] {
    padding-right: 45px;
    background-image: url("https://digitalbutlers.me/sources/common/images/icons/search--white.svg");
    background-size: 14px;
    background-position: 85% 50%;
    background-repeat: no-repeat;
}

@media (max-width: 449px) {
    #IDX-coreSearchFields .idx-btn.idx-btn--primary[data-action="search"] {
        padding: 14px 0;
        background-position: 65% 50%;
    }
}

#IDX-coreSearchFields .idx-btn.idx-btn--primary[data-action="search"]:hover {
    background-image: url("https://digitalbutlers.me/sources/common/images/icons/search--blue.svg");
    background-color: var(--color4);
    color: var(--color1);
}

/* SEARCH OPTIONS */
#idx-basic-more-fields {
    padding-top: 15px;
}

/* SEARCH FIELDS */
.IDX-wrapper-standard .select2-container a.select2-choice,
.IDX-wrapper-standard .select2-container.select2-container-multi .select2-choices {
    display: flex;
    align-items: center;

    height: 60px;
    border-color: var(--color6);
    border-radius: 4px;
}

.IDX-wrapper-standard .IDX-advancedWrap input.IDX-advancedRange {
    border: 1px solid var(--color6);
}

.IDX-wrapper-standard .IDX-advancedWrap input.IDX-advancedRange:focus-visible {
    /*border-color: var(--color1);*/
    /*border-radius: 4px;*/
    /*outline: none;*/
}

.IDX-wrapper-standard .IDX-mobileFirst--neutral #IDX-boxLabel_remarksConcat input {
    height: 60px;
    width: 100%;
    padding: 0 5px;
    border-radius: 4px;
    outline: none;
    border: 1px solid var(--color6);
}

.IDX-wrapper-standard .select2-container a.select2-choice span,
.IDX-wrapper-standard .select2-container .select2-choice .select2-chosen {
    margin-top: 0;
    height: auto;
}

/* DROPDOWN ARROW */
.IDX-wrapper-standard .select2-container .select2-choice .select2-arrow {
    top: 50%;
    right: 10px;
}

.IDX-wrapper-standard .select2-container .select2-choice .select2-arrow b {
    border: 2px solid var(--color1);
    width: 10px;
    height: 10px;
    border-left-color: transparent;
    border-top-color: transparent;
    transform: rotate(45deg);
}

/* DROPDOWN CLOSE */
.select2-container.select2-allowclear .select2-choice abbr {
    top: 26px;
    right: 40px;
}

.IDX-wrapper-standard .idx-page__search .idx-form__group .IDX-controls .select2-choices {
    border-color: var(--color6);
    border-radius: 4px;
}

.IDX-wrapper-standard .idx-form__group .select2-container.select2-container-multi .select2-choices .select2-search-field,
.IDX-wrapper-standard .select2-container.select2-container-multi .select2-choices .select2-search-field,
.IDX-wrapper-standard .IDX-advancedWrap input.IDX-advancedRange {
    height: 60px;
    display: flex;
    align-items: center;
}

.IDX-wrapper-standard .IDX-advancedWrap input.IDX-advancedRange {
    display: inline-block;
    border-radius: 4px;
}

@media (max-width: 449px) {
    .IDX-wrapper-standard .IDX-advancedWrap input.IDX-advancedRange {
        width: 46%;
    }
}

/* OPTIONS INPUTS */
#select2-drop input {
    font-size: 16px;
    height: 40px !important;
    border-radius: 4px;
    margin-top: 15px;
    background: none;
}

.select2-results li {

}

.select2-results.select2-results .select2-highlighted {
    background-color: transparent;
}

.select2-results .select2-result-label {
    transition: var(--transition2);
}

.select2-results .select2-result .select2-result-label {
    padding: 15px 10px;
}

.select2-results .select2-result.select2-highlighted .select2-result-label {
    background-color: var(--color3);
}

.select2-drop.select2-drop-active {
    border: 1px solid var(--color3);
    border-radius: 4px;
}

/* ADVANCED SEARCH PAGE */
#IDX-search-property-content,
#IDX-search-primary-content,
#IDX-search-additional-content {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 449px) {
    #IDX-search-property-content,
    #IDX-search-primary-content,
    #IDX-search-additional-content {
        flex-wrap: wrap;
    }
}

#IDX-search-primary-content {
    flex-wrap: wrap;
}

.IDX-page-advanced #IDX-ccz-group .select2-container.select2-container-multi .select2-choices {
    padding-right: 280px;
}

@media (max-width: 449px) {
    .IDX-page-advanced #IDX-ccz-group .select2-container.select2-container-multi .select2-choices {
        padding-right: 0;
    }
}

#IDX-search-property-content .IDX-control-group,
#IDX-search-primary-content .IDX-control-group {
    flex-basis: 33%;
    margin: 0;
    padding: 0 0 10px;
}

@media (max-width: 449px) {
    #IDX-search-property-content .IDX-control-group,
    #IDX-search-primary-content .IDX-control-group {
        flex-basis: 50%;
    }
}

@media (max-width: 449px) {
    #IDX-search-primary-content #IDX-ccz-group {
        width: 100%;
        padding-bottom: 73px;
    }

    #IDX-search-primary-content #IDX-minPrice-group,
    #IDX-search-primary-content #IDX-maxPrice-group {
        flex-basis: 100%;
    }

    #IDX-search-primary-content #IDX-minPrice-group {
        margin-top: 45px;
    }
}

@media (max-width: 449px) {
    #IDX-search-primary-content .IDX-control-group {
        flex-basis: 48.8%;
    }
}

#IDX-search-additional-content .IDX-control-group {
    flex-basis: 24.8%;
    margin: 0;
    padding: 0;
}

@media (max-width: 768px) {
    .IDX-page-advanced #IDX-search-additional-content .IDX-control-group {
        flex-basis: 49.5%;
        margin-bottom: 10px;
    }

    .IDX-page-advanced #IDX-search-additional-content {
        display: flex;
        flex-wrap: wrap;
    }
}

@media (max-width: 449px) {
    #IDX-search-primary-content .IDX-control-group,
    #IDX-search-additional-content .IDX-control-group {
        flex-basis: 100%;
    }

    #IDX-search-additional-content .IDX-control-group {
        padding-bottom: 10px;
    }
}

#IDX-search-primary-content #IDX-sqft-group,
#IDX-search-primary-content #IDX-acres-group,
#IDX-search-primary-content #IDX-reduced-group {
    flex-basis: 22%;
    margin: 0;
    padding: 0 0 10px;
}

#IDX-coreSearchFields #IDX-ccz-group,
#IDX-coreSearchFields #IDX-minPrice-group,
#IDX-coreSearchFields #IDX-maxPrice-group,
#IDX-coreSearchFields #IDX-bd-group,
#IDX-coreSearchFields #IDX-tb-group {
    flex-basis: 24.8%;
}

@media (max-width: 768px) {
    #IDX-coreSearchFields #IDX-ccz-group,
    #IDX-coreSearchFields #IDX-minPrice-group,
    #IDX-coreSearchFields #IDX-maxPrice-group,
    #IDX-coreSearchFields #IDX-bd-group,
    #IDX-coreSearchFields #IDX-tb-group {
        flex-basis: 23.8%;
    }
}

@media (max-width: 449px) {
    #IDX-coreSearchFields #IDX-ccz-group,
    #IDX-coreSearchFields #IDX-minPrice-group,
    #IDX-coreSearchFields #IDX-maxPrice-group,
    #IDX-coreSearchFields #IDX-bd-group,
    #IDX-coreSearchFields #IDX-tb-group {
        flex-basis: 100%;
    }
}

#IDX-coreSearchFields #IDX-sqft-group,
#IDX-coreSearchFields #IDX-acres-group,
#IDX-coreSearchFields #IDX-reduced-group {
    flex-basis: 33%;
}

@media (max-width: 768px) {
    #IDX-coreSearchFields #IDX-sqft-group,
    #IDX-coreSearchFields #IDX-acres-group,
    #IDX-coreSearchFields #IDX-reduced-group {
        flex-basis: 100%;
    }
}

.IDX-page-address #IDX-coreSearchFields #IDX-ccz-group {
    flex-basis: 33%;
}

@media (max-width: 449px) {
    #IDX-search-primary-content #IDX-sqft-group,
    #IDX-search-primary-content #IDX-acres-group,
    #IDX-search-primary-content #IDX-reduced-group {
        flex-basis: 100%;
    }
}

#IDX-search-primary-content #IDX-coreSearchFields {
    padding-top: 80px;
}

#IDX-search-primary-content #IDX-ccz-group {
    position: absolute;
    z-index: 10;
    width: 100%;
    top: 0;
}

#IDX-searchPageWrapper #IDX-action-buttons {
    width: auto !important;
    position: absolute;
    top: 1px;
    z-index: 11;
    right: 8px;
    height: 50px;
}

@media (max-width: 449px) {
    #IDX-searchPageWrapper #IDX-action-buttons {
        flex-direction: column;
        width: 100%!important;
        height: 110px;
        top: 70px;
        right: -50%;
        transform: translateX(-50%);
    }
}

#IDX-action-buttons #IDX-formReset,
#IDX-action-buttons #IDX-formSubmit {
    width: auto;
    padding: 12px 30px;
    border-radius: 4px;
    outline: none;
    border: 1px solid var(--color1);
    background-color: var(--color1);
    font-weight: 500;
    transition: var(--transition2);
    color: var(--color4);
    font-size: 16px;
}

#IDX-action-buttons #IDX-formReset {
    margin-right: 5px;
    padding: 12px 45px 12px 30px;
    background-color: var(--color4);
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/close--blue.svg);
    background-size: 12px;
    background-position: 90% 50%;
    background-repeat: no-repeat;
    color: var(--color1);
}

#IDX-action-buttons #IDX-formReset:hover {
    background-color: var(--color1);
    color: var(--color4);
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/close--white.svg);
}

#IDX-action-buttons #IDX-formSubmit {
    padding-right: 45px;
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/search--white.svg);
    background-size: 14px;
    background-position: 85% 50%;
    background-repeat: no-repeat;
}

@media (max-width: 449px) {
    #IDX-action-buttons #IDX-formSubmit {
        background-position: 63% 50%;
    }
}

@media (max-width: 449px) {
    #IDX-action-buttons #IDX-formReset,
    #IDX-action-buttons #IDX-formSubmit {
        width: 100%;
        padding: 14px 0;
        background-position: 65% 50%;
    }
}

@media (max-width: 449px) {
    #IDX-action-buttons #IDX-formReset {
        background-position: 60% 50%;
    }
}

@media (max-width: 449px) {
    #IDX-action-buttons #IDX-formReset {
        margin-right: 0;
        margin-bottom: 10px;
    }
}

.IDX-wrapper-standard label {
    font-weight: 100;
}

.IDX-wrapper-standard #IDX-advancedFieldsModLeft,
.IDX-wrapper-standard #IDX-advancedFieldsModRight {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 0;
}

.IDX-wrapper-standard #IDX-advancedFieldsModLeft {
    padding-right: 2.9px;
}

.IDX-wrapper-standard #IDX-advancedFieldsModRight {
    padding-left: 2.9px;
}

.IDX-wrapper-standard .IDX-advancedPair {
    margin-bottom: 5px;
    flex-basis: 49.5%;
}

@media (max-width: 768px) {
    .IDX-searchAdvancedFields {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .IDX-searchAdvancedFields #IDX-advancedFieldsModLeft,
    .IDX-searchAdvancedFields #IDX-advancedFieldsModRight {
        width: 100%;
    }

    .IDX-page-advanced #IDX-advancedFieldsModLeft .IDX-advancedPair {
        flex-basis: 32.5%;
    }
}

@media (max-width: 449px) {
    .IDX-wrapper-standard .IDX-advancedPair {
        flex-basis: 100%;
    }

    .IDX-page-advanced #IDX-advancedFieldsModLeft .IDX-advancedPair {
        flex-basis: 100%;
    }
}


#IDX-advancedFieldsModRight #IDX-advanced_specialInformation {
    order: 1;
}

#IDX-advancedFieldsModRight #IDX-advanced_stories {
    order: 2;
}

#IDX-advancedFieldsModRight #IDX-advanced_hoaFee {
    order: 3;
}

#IDX-advancedFieldsModRight #IDX-advanced_age {
    order: 4;
}

#IDX-advancedFieldsModRight #IDX-advanced_flooring {
    order: 5;
}

#IDX-advancedFieldsModRight #IDX-advanced_heating {
    order: 6;
}

#IDX-advancedFieldsModRight #IDX-advanced_cooling {
    order: 7;
}

#IDX-advancedFieldsModRight #IDX-advanced_disabledFeatures {
    order: 8;
}

#IDX-advancedFieldsModRight #IDX-advanced_poolYN {
    order: 9;
}

#IDX-advancedFieldsModRight #IDX-advanced_remarksConcat {
    order: 10;
}

#IDX-boxLabel_poolYN {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;
}

#IDX-boxLabel_poolYN input {
    width: 0;
    height: 0;
    overflow: hidden;
    cursor: pointer;
}

#IDX-boxLabel_poolYN input:before {
    content: '';
    position: absolute;
    /*top: 52%;*/
    /*left: 10px;*/
    /*width: 20px;*/
    /*height: 20px;*/
    /*background-color: var(--color3);*/
    /*border-radius: 50%;*/
    height: 60px;
    top: 24px;
    left: 0;
    width: 49.5%;
    background-color: transparent;
    border: 1px solid var(--color3);
    border-radius: 4px;
    transition: var(--transition2);
}

#IDX-boxLabel_poolYN input:nth-last-child(2):before {
    /*top: 52%;*/
    /*left: 53%;*/
    top: 24px;
    left: 50.5%;
    width: 49.5%;
}

#IDX-boxLabel_poolYN input:checked:before {
    /*background-color: var(--color1);*/
    border: 1px solid var(--color1);
}

#IDX-boxLabel_poolYN label.IDX-advancedText {
    width: 100%;
}

#IDX-boxLabel_poolYN label:not(.IDX-advancedText) {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-basis: 49.5%;
    height: 60px;
    margin: 0;
    padding: 12px 30px;
    font-weight: 500;
    font-size: 16px;
    color: var(--color1);
    background-color: var(--color4);
    border-radius: 4px;
    /*border: 1px solid var(--color1);*/
    outline: none;
    transition: var(--transition2);
    cursor: pointer;
}

/* LISTING ID */
#IDX-main.IDX-page-listingid .IDX-control-label {
    font-weight: 400;
}

#IDX-listingID {
    padding-right: 340px;
    border-color: var(--color1);
    border-radius: 4px;
    height: 60px;
}

@media (max-width: 449px) {
    #IDX-listingID {
        padding-right: 0;
    }
}

#IDX-coreSearchFields .IDX-help-block {
    width: 100%;
    max-width: 390px;
    color: var(--color1);
}

.IDX-page-listingid #IDX-searchPageWrapper #IDX-action-buttons {
    top: 28px;
}

@media (max-width: 449px) {
    .IDX-page-listingid #IDX-searchPageWrapper #IDX-action-buttons {
        top: 160px;
    }

    .IDX-page-listingid #IDX-searchPageWrapper .IDX-controls {
        margin-bottom: 100px;
    }
}

#IDX-main.IDX-page-listingid #IDX-action-buttons {
    display: flex;
    height: 60px;
}

#IDX-main.IDX-page-listingid #IDX-action-buttons button {
    border-radius: 4px;
}

#IDX-main.IDX-page-listingid #IDX-action-buttons button:first-child {
    margin-right: 5px;
}

@media (max-width: 449px) {
    #IDX-main.IDX-page-listingid #IDX-action-buttons button:first-child {
        margin-bottom: 10px;
        margin-right: 0;
    }
}

.IDX-page-listingid .IDX-help-block {
    display: none;
}

/* ADDRESS */
.IDX-type-address #IDX-coreSearchFields {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.IDX-type-address #IDX-coreSearchFields div {
    flex-basis: 33%;
    padding: 0;
}

.IDX-type-address #IDX-coreSearchFields div:nth-child(3) {
    flex-basis: 100%;
    order: 1;
}

.IDX-type-address #IDX-coreSearchFields div:nth-child(2) {
    order: 2;
}

.IDX-type-address #IDX-coreSearchFields div:nth-child(1) {
    order: 3;
}

.IDX-type-address #IDX-coreSearchFields div:nth-child(4) {
    order: 4;
}

.IDX-type-address #IDX-coreSearchFields #IDX-address {
    padding-right: 340px;
    border-color: var(--color1);
    border-radius: 4px;
    height: 60px;
}

.IDX-type-address #IDX-coreSearchFields #s2id_IDX-ccz-select .select2-choices {
    padding-right: 0;
    border: 1px solid var(--color6);
}

#IDX-main.IDX-type-address #IDX-action-buttons {
    display: flex;
    height: 60px;
    top: 28px;
}

#IDX-main.IDX-type-address #IDX-action-buttons button {
    border-radius: 4px;
}

#IDX-main.IDX-type-address #IDX-action-buttons button:first-child {
    margin-right: 5px;
}

@media (max-width: 768px) {
    .IDX-type-address #IDX-coreSearchFields div,
    .IDX-page-address #IDX-coreSearchFields #IDX-ccz-group {
        flex-basis: 100%;
    }
}

@media (max-width: 479px) {
    .IDX-type-address .IDX-mobileFirst--neutral .IDX-navbar-default {
        margin: 0 0 10px 0;
    }

    .IDX-type-address #IDX-coreSearchFields div:nth-child(3) {
        margin-bottom: 120px;
    }

    #IDX-main.IDX-type-address #IDX-action-buttons {
        top: 100px;
    }

    #IDX-main.IDX-type-address #IDX-action-buttons button:first-child  {
        margin: 0 0 10px 0;
    }
}

/* MAP SEARCH*/
#IDX-MapSearch-Form .IDX-controls #IDX-lp,
#IDX-MapSearch-Form .IDX-controls #IDX-hp {
    height: 54px;
    border-radius: 4px;
    padding: 0 10px;
}

#IDX-userLocation {
    display: none!important;
}

#IDX-MapSearch-Form #IDX-mapHeader-Search {
    height: 70px;
}

#IDX-MapSearch-Form #IDX-mapCount {
    display: inline-block !important;
    text-align: left;
    margin-left: 15px;
    line-height: 40px;
    padding-top: 14px;
    vertical-align: text-bottom;
}

#IDX-MapSearch-Form #IDX-mapSearch {
    margin-right: 5px;
    margin-left: 5px;
}

@media (max-width: 479px) {
    #IDX-MapSearch-Form #IDX-mapHeader-Search {
        height: 30px;
    }

    #IDX-MapSearch-Form #IDX-mapCount {
        padding-top: 7px;
        line-height: 1;
    }

    #IDX-MapSearch-Form .IDX-controls #IDX-lp, #IDX-MapSearch-Form .IDX-controls #IDX-hp {
        height: 34px;
    }

    #IDX-mapSearchFields {
        position: absolute;
        bottom: 0;
        left: 0;
        top: 55vh;
    }

    #IDX-mapSearchFields #IDX-price-fields {
        display: flex;
        flex-wrap: wrap;
    }

    #IDX-userLocation, #IDX-mapSearch, #IDX-mapTab-criteria {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 32%;
        height: 34px;
        margin-top: 10px;
        padding: 10px;
    }

    #IDX-userLocation, #IDX-mapSearch, #IDX-mapTab-criteria .fa {
       padding-right: 10px;
    }

    #IDX-mapRefresh {
        display: none!important;
    }
}

@media (max-width: 375px) {
    #IDX-mapSearchFields {
        top: 62vh;
    }
}

/* SEARCH RESULT */
.IDX-wrapper-standard #IDX-resultsMLSRights {
    display: none;
}

#IDX-resultsContainer {
    display: flex;
    flex-wrap: wrap;
}

#IDX-resultsHeader,
#IDX-resultsCountWrap,
#IDX-resultsTopActions {
    position: absolute;
}

@media (max-width: 479px) {
    #IDX-resultsTopActions {
        position: relative;
    }
}
/* HEADER */
#IDX-resultsHeader {
    width: 60%;
    height: 75px;
    top: 0;
    right: 0;
    background-color: var(--color4);
    border-bottom: 1px solid var(--color3);
    z-index: 30;
}

@media (max-width: 1024px) {
    #IDX-resultsHeader {
        width: 60%;
    }
}

@media (max-width: 768px) {
    #IDX-resultsHeader {
        height: 100px;
    }
}

@media (max-width: 479px) {
    #IDX-resultsHeader {
        width: 100%;
        height: auto;
    }
}

#IDX-resultsPager-header,
#IDX-resultsCountMessage,
#IDX-resultsRefineSearchWrap,
#IDX-resultsActionSave,
#IDX-resultsSeparatorTextActive,
#IDX-resultsMLSRights,
#IDX-resultsSeparatorActive,
#IDX-resultsRefineSearchToggle {
    display: none;
}

/* CUSTOMIZE FILTER */
.IDX-wrapper-standard #IDX-resultsRefineSearchWrap {
    display: none!important;
}

#IDX-resultsCountWrap {
    margin: 0;
    padding: 0 0 0 154px;
    font-size: 0;
    text-align: left;
    background-color: transparent;
    border: none;
    color: var(--color1);
    position: absolute;
    top: 40px;
}

@media (max-width: 820px) {
    #IDX-resultsCountWrap {
        margin: 0;
        padding: 0 0 0 24px;
    }
}

@media (max-width: 768px) {
    #IDX-resultsCountWrap {
        padding-left: 150px;
        top: 70px;
    }
}

@media (max-width: 479px) {
    #IDX-resultsCountWrap {
        padding-left: 130px;
        position: relative;
        top: 500px;
    }
}


#IDX-resultsCountWrap:before {
    content: 'Search Results:';
    position: absolute;
    font-size: 18px;
    font-weight: 500;
    left: 24px;
    top: 0;
    color: var(--color1);
}

@media (max-width: 820px) {
    #IDX-resultsCountWrap:before {
        width: 124px;
        top: -20px;

        font-size: 16px;
    }
}

@media (max-width: 768px) {
    #IDX-resultsCountWrap:before {
        top: 0;
        left: 24px;
    }
}

@media (max-width: 479px) {
    #IDX-resultsCountWrap:before {
        top: 0;
        left: 10px;
    }
}
#IDX-resultsCountWrap .IDX-resultsCount {
    font-size: 18px;
    font-weight: 500;
    color: var(--color1);
}

#IDX-resultsTopActions {
    padding-top: 10px;
}

#IDX-resultsTopActions {
    display: flex;
    justify-content: flex-end;
    padding-right: 24px;
}

@media (max-width: 768px) {
    #IDX-resultsTopActions {
        padding-left: 16px;
    }
}

@media (max-width: 479px) {
    #IDX-resultsTopActions {
        flex-direction: column;
        padding: 0;
    }
}

.IDX-wrapper-standard .IDX-btn,
.IDX-wrapper-standard .IDX-btn-default,
.IDX-wrapper-standard #IDX-newSearch {
    padding: 15px 30px;
    color: var(--color1);
    line-height: 1.5;
    border: 1px solid var(--color1);
    border-radius: 4px;
    background-color: var(--color4);
    transition: var(--transition2);
}

@media (max-width: 479px) {
    .IDX-wrapper-standard .IDX-btn, .IDX-wrapper-standard .IDX-btn-default, .IDX-wrapper-standard #IDX-newSearch {
        line-height: 1;
    }
}

#IDX-modifySearch {
    padding-right: 45px;
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/settings--white.svg);
    background-size: 14px;
    background-position: 85% 50%;
    background-repeat: no-repeat;
}

@media (max-width: 479px) {
    #IDX-modifySearch {
        background-position: 65% 50%;
    }
}

@media (max-width: 479px) {
    #IDX-resultsLinkModify {
        padding-top: 5px;
    }

    #IDX-modifySearch {
        width: 100%;
    }
}

@media (max-width: 375px) {
    #IDX-modifySearch {
        background-position: 70% 50%;
    }
}

#IDX-modifySearch:hover {
    background-image: url(https://digitalbutlers.me/sources/common/images/icons/settings--blue.svg);
}

.IDX-wrapper-standard .IDX-topAction a {
    width: auto;
    min-width: 150px;
    padding: 15px 30px;
    background-color: var(--color1);
    color: var(--color4);
}

.IDX-wrapper-standard .IDX-topAction a:hover {
    background-color: var(--color4);
    color: var(--color1);
    border-color: var(--color1);
}

.IDX-wrapper-standard .IDX-topAction {
    width: auto;
}

.IDX-wrapper-standard #IDX-newSearch:hover,
.IDX-wrapper-standard .IDX-btn-default:hover {
    background-color: var(--color1);
    color: var(--color4);
}

#IDX-resultsActionNew {
    margin-right: 5px;
}

@media (max-width: 768px) {
    .IDX-wrapper-standard #IDX-resultsActionNew.IDX-topAction,
    .IDX-wrapper-standard #IDX-resultsLinkModify.IDX-topAction {
        width: 48.9%;
    }

    .IDX-wrapper-standard #IDX-resultsActionNew.IDX-topAction a,
    .IDX-wrapper-standard #IDX-resultsLinkModify.IDX-topAction a {
        width: 100%;
    }
}

@media (max-width: 479px) {
    .IDX-wrapper-standard #IDX-resultsActionNew.IDX-topAction,
    .IDX-wrapper-standard #IDX-resultsLinkModify.IDX-topAction {
        width: 100%;
    }

    #IDX-resultsActionNew {
        margin: 0;
    }

    #IDX-resultsActionNew a {
        width: 100%;
    }
}

/* MAP */
#IDX-resultsMap {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 10;
}

.IDX-wrapper-standard #IDX-resultsMap {
    width: 40%;
    height: auto;
}

@media (max-width: 479px) {
    #IDX-resultsMap {
        display: block;
        position: static;
    }

    .IDX-wrapper-standard #IDX-resultsMap {
        display: block!important;
        width: 100%;
        margin-top: 149px;
    }
}

/* CONTENT */
#IDX-resultsContent {
    width: 60%;
    height: 77%;
    margin-top: 75px;
    padding: 0 24px 24px;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: var(--color4);
    overflow-x: auto;
    z-index: 20;
}

@media (max-width: 1024px) {
    #IDX-resultsContent {
        width: 60%;
    }
}

@media (max-width: 768px) {
    #IDX-resultsContent {
        margin-top: 100px;
        padding-bottom: 60px;
    }
}

@media (max-width: 479px) {
    #IDX-resultsContent {
        width: 100%;
        position: static;
        padding: 0;
    }
}

.IDX-resultsCellsContainer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

@media (max-width: 479px) {
    .IDX-resultsCellsContainer {
        flex-direction: column;
    }
}

.IDX-resultsCellsContainer .IDX-resultsCell {
    flex-basis: 48%;
}

@media (max-width: 479px) {
    .IDX-resultsCellsContainer .IDX-resultsCell {
        flex-basis: 100%;
    }
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content {
    display: flex;
    flex-direction: column;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsPhoto {
    width: 100%;
    height: 260px;
    border-radius: 8px;
    overflow: hidden;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsPhoto a {
    display: block;
    width: 100%;
    height: 100%;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsPhoto a img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsDescription,
.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-mlsContainer,
.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsCellActions {
    display: none;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default .IDX-panel-heading,
.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default .IDX-resultsMainInfoRight,
.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default  .IDX-resultsMainInfoLeft * {
    display: none;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default .IDX-field-listingPrice,
.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default  .IDX-field-propStatus {
    display: block;
    width: auto;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default  .IDX-field-propStatus {
    order: 1;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default .IDX-field-listingPrice {
    order: 2;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default .IDX-field-listingPrice .IDX-text,
.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default  .IDX-field-propStatus .IDX-resultsText {
    display: block;
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default  .IDX-field-propStatus .IDX-resultsText {
    color: var(--color1);
    text-transform: uppercase;
    font-size: 12px;
}

@media (max-width: 1024px) {
    .IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsMainInfo.IDX-panel.IDX-panel-default  .IDX-field-propStatus .IDX-resultsText {

    }
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content  .IDX-resultsAddress {
    order: 2;
    width: 100%;
    min-height: 40px;
    padding-left: 0;
}

@media (max-width: 1024px) {
    .IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content  .IDX-resultsAddress {
        min-height: 40px;
    }
}

@media (max-width: 768px) {
    .IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content  .IDX-resultsAddress {
        min-height: 60px;
    }
}

@media (max-width: 479px) {
    .IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content  .IDX-resultsAddress {
        min-height: auto;
    }
}

.IDX-resultsCellsContainer .IDX-resultsCell .IDX-cellInnerWrapper .IDX-row-content .IDX-resultsPhoto {
    order: 1;
}

.IDX-wrapper-standard .IDX-resultsCell {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-bottom: 1px solid var(--color3);
}

.IDX-wrapper-standard .IDX-resultsMainInfo.IDX-panel-default > .IDX-panel-body,
.IDX-wrapper-standard .IDX-resultsMainInfo.IDX-panel-default {
    width: 100%;
    padding: 0;
}

@media (max-width: 479px) {
    .IDX-wrapper-standard .IDX-resultsMainInfo.IDX-panel-default > .IDX-panel-body {
        padding: 10px 0;
    }

    .IDX-wrapper-standard .IDX-panel-default {
        border-color: transparent;
    }
}

.IDX-wrapper-standard .IDX-resultsMainInfo.IDX-panel-default {
    order: 3;
    margin-bottom: 0;
}

.IDX-wrapper-standard .IDX-resultsMainInfo.IDX-panel-default .IDX-resultsMainInfoLeft {
    display: flex;
    justify-content: space-between;
}

.IDX-wrapper-standard .IDX-resultsMainInfo.IDX-panel-default  .IDX-wrapper-standard .IDX-field {
    widows: auto;
}

/* FOOTER */
#IDX-resultsFooter {
    width: 60%;
    padding: 10px 24px;
    position: absolute;
    bottom: 0;
    right: 0;
    background-color: var(--color4);
    z-index: 40;
}

@media (max-width: 1024px) {
    #IDX-resultsFooter {
        width: 60%;
    }
}

@media (max-width: 479px) {
    #IDX-resultsFooter {
        width: 100%;
        position: static;
    }
}

#IDX-resultsPager-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#IDX-resultsFooter .IDX-pagination-action {

}

#IDX-resultsFooter .IDX-pagination-action .IDX-btn.IDX-btn-default.IDX-disabled,
#IDX-resultsFooter .IDX-pagination-action .IDX-btn.IDX-btn-default {
    display: block;
    height: 48px;
}

.IDX-wrapper-standard #IDX-resultsFooter .select2-container a.select2-choice {
    height: 48px;
    padding-left: 0;
}

#IDX-resultsFooter #IDX-pagination,
#IDX-resultsFooter .IDX-pagination-action {
    width: 32.8%;
}

@media (max-width: 375px) {
    #IDX-resultsFooter #IDX-pagination {
        display: none;
    }
}

.select2-drop.select2-drop-above.select2-drop-active {
    left: 67.2%!important;
}

@media (max-width: 1024px) {
    .select2-drop.select2-drop-above.select2-drop-active {
        left: 61.2% !important;
    }
}

/* DETAILS PAGE */

/* NAV */
.IDX-category-details #IDX-detailsActionSave,
.IDX-category-details #IDX-detailsActionModify {
    display: none;
}

.IDX-category-details #IDX-detailsTopNav #IDX-detailsActionSave,
.IDX-category-details #IDX-detailsTopNav #IDX-nextLastButtons {
    display: none;
}

.IDX-category-details #IDX-detailsHotActions {
    display: none;
}

@media (max-width: 479px) {
    .IDX-category-details #IDX-detailsTopNav {
        margin-bottom: 60px;
    }
}

.IDX-category-details #IDX-detailsTopNav #IDX-detailsActionNew,
.IDX-category-details #IDX-detailsTopNav #IDX-backToResults {
    min-width: auto;
    margin: 0;
}

.IDX-category-details #IDX-detailsActionBack a,
.IDX-category-details #IDX-detailsActionNew a,
.IDX-category-details #IDX-detailsHotAction-contact a,
.IDX-category-details #IDX-detailsHotAction-schedule a,
.IDX-category-details #IDX-detailsHotAction-mortgage a,
.IDX-category-details #IDX-detailsHotAction-print a,
.IDX-category-details #IDX-detailsHotAction-vt a {
    padding: 0 30px 0 0;
    color: var(--color1);
    border: none;
    background-color: transparent;
    background-image: none;
    text-decoration: none;
    font-weight: 600;
}


@media (max-width: 768px) {
    .IDX-category-details #IDX-detailsHotAction-contact a,
    .IDX-category-details #IDX-detailsHotAction-schedule a,
    .IDX-category-details #IDX-detailsHotAction-mortgage a {
        padding: 0 15px 0 0;
    }
}

@media  (max-width: 479px) {
    .IDX-category-details #IDX-detailsHotAction-contact a,
    .IDX-category-details #IDX-detailsHotAction-schedule a,
    .IDX-category-details #IDX-detailsHotAction-mortgage a,
    .IDX-category-details #IDX-detailsHotAction-print a {
        padding: 0;
    }
}

.IDX-category-details #IDX-detailsActionBack a:hover,
.IDX-category-details #IDX-detailsActionNew a:hover,
.IDX-category-details #IDX-detailsHotAction-contact a:hover,
.IDX-category-details #IDX-detailsHotAction-schedule a:hover,
.IDX-category-details #IDX-detailsHotAction-mortgage a:hover,
.IDX-category-details #IDX-detailsHotAction-print a:hover,
.IDX-category-details #IDX-detailsHotAction-vt a:hover {
    color: var(--color1);
    border: none;
    background-color: transparent;
    background-image: none;
    text-decoration: underline;
}

.IDX-category-details #IDX-detailsTopNav #IDX-detailsActionNew {
    margin-right: 10px;
}

.IDX-category-details #IDX-detailsTopNav #IDX-detailsActionNew a,
.IDX-category-details #IDX-detailsTopNav #IDX-backToResults {
    min-width: auto;
    padding: 14px 30px 14px 30px;
    margin: 0;
    border: 1px solid var(--color1);
    border-radius: 4px;
    color: var(--color1);
    transition: var(--transition2);
    background-color: var(--color4);
    font-weight: 100;
}

.IDX-category-details #IDX-detailsTopNav #IDX-detailsActionNew:hover a,
.IDX-category-details #IDX-detailsTopNav #IDX-backToResults:hover {
   text-decoration: none;
    background-color: var(--color1);
    color: var(--color4);
}


.IDX-category-details #IDX-detailsHotAction-vt a {
    display: none;
}

#IDX-detailsTopNav {
    display: flex;
    padding-top: 30px;
}

#IDX-nextLastButtons {
    display: flex;
    align-items: center;
}

.IDX-wrapper-standard .IDX-alert-info#IDX-nextLastPosition {
    background-color: transparent;
    color: var(--color1);
    border: none;
}

/* CONTENT */
.IDX-category-details #IDX-detailsHotActions {
    width: 100%;
    padding: 0 20px 0 0;
}

@media  (max-width: 479px) {
    .IDX-category-details #IDX-detailsHotActions {
        padding: 15px 0 60px;
    }
}

.IDX-category-details #IDX-details-row-content{
    display: flex;
    flex-wrap: wrap;
    position: relative;
}

.IDX-category-details #IDX-detailsHead {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding-bottom: 30px;
}

.IDX-category-details #IDX-detailsAddress {
    order: 1;
    width: 100%;
}

.IDX-category-details #IDX-detailsMedia {
    order: 2;
    width: 60%;
    padding-right: 30px;
}

@media  (max-width: 991px) {
    .IDX-category-details #IDX-detailsMedia {
        padding-right: 0;
    }
}

@media  (max-width: 479px) {
    .IDX-category-details #IDX-detailsMedia {
        padding-right: 0;
    }
}

@media (max-width: 1024px) {
    .IDX-category-details #IDX-detailsMedia {
        width: 100%;
    }

    .IDX-category-details .IDX-fieldContainerList {
        width: 100%;
    }

    .IDX-category-details .IDX-fieldContainerListRight {
        margin-left: 0;
    }
}

.IDX-category-details #IDX-detailsMainInfo {
    order: 3;
    width: 40%;
    margin: 0;
}

@media (max-width: 1024px) {
    .IDX-category-details #IDX-detailsMainInfo {
        width: 100%;
    }
}

.IDX-category-details #IDX-detailsGalleryAction {
    display: none;
}

.IDX-category-details #IDX-sharethis {
    width: auto;
    position: absolute;
    top: -10px;
    right: 0;
}

@media  (max-width: 479px) {
    .IDX-category-details #IDX-sharethis {
        width: 100%;
        top: -45px;
        right: 50%;
        transform: translateX(50%);
    }
}

.IDX-category-details #IDX-arrow-previous,
.IDX-category-details #IDX-arrow-next,
.IDX-category-details .IDX-carouselNavWrapper.IDX-carouselLeft,
.IDX-category-details .IDX-carouselNavWrapper.IDX-carouselRight {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    border-radius: 4px;
    background-color: var(--color3);
    color: var(--color1);
}

@media  (max-width: 479px) {
    .IDX-category-details #IDX-arrow-previous,
    .IDX-category-details #IDX-arrow-next,
    .IDX-category-details .IDX-carouselNavWrapper.IDX-carouselLeft,
    .IDX-category-details .IDX-carouselNavWrapper.IDX-carouselRight {
        padding: 15px;
        font-size: 12px;
    }
}

.IDX-category-details .IDX-carouselNavWrapper.IDX-carouselLeft,
.IDX-category-details .IDX-carouselNavWrapper.IDX-carouselRight {
    padding: 10px 17px;
    height: auto;
    top: 50%;
    transform: translateY(-50%);
}

.IDX-category-details #IDX-arrow-previous:hover,
.IDX-category-details #IDX-arrow-next:hover,
.IDX-category-details .IDX-carouselNavWrapper.IDX-carouselLeft:hover,
.IDX-category-details .IDX-carouselNavWrapper.IDX-carouselRight:hover {
    text-decoration: none;
}

.IDX-category-details .IDX-thumbnail {
    border: none;
}

.IDX-category-details .IDX-thumbnail img#IDX-detailsPrimaryImg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.IDX-category-details .IDX-carouselThumb {
    border-radius: 4px;
    border-color: var(--color3);
}

.IDX-category-details .IDX-carouselThumb.IDX-showcaseSlide-active {
    border-color: var(--color2);
}

.IDX-category-details .IDX-label {
    display: inline-block;
    min-width: 200px;
    font-weight: 100!important;
    color: var(--color7);
}

#IDX-description {
    /*order: 1;*/
    padding-top: 50px;
    border-color: var(--color2);
    border-radius: 4px;
    background-color: var(--color3);
    position: relative;
}

#IDX-description:before {
    content: 'Description';
    position: absolute;
    top: 15px;
    left: 15px;
    color: var(--color1);
}

.IDX-category-details .IDX-panel >.IDX-panel-heading,
.IDX-wrapper-standard .IDX-panel {
    border-color: var(--color3);
    border-radius: 4px;
}

.IDX-category-details  .IDX-panel >.IDX-panel-heading {
    background-color: var(--color3);
}

.IDX-category-details .IDX-panel >.IDX-panel-heading  .IDX-label,
.IDX-category-details .IDX-panel >.IDX-panel-heading  .IDX-text,
.IDX-category-details .IDX-panel >.IDX-panel-heading  a {
    color: var(--color1);
}

.IDX-category-details .IDX-field {
    display: flex;
    padding: 10px 0;
}

@media  (max-width: 479px) {
    .IDX-category-details .IDX-field {
        flex-direction: column;
    }

    #IDX-detailsMainInfo .IDX-panel-heading .IDX-field {
        flex-direction: row;
        justify-content: space-between;
    }

    #IDX-detailsMainInfo .IDX-panel-heading .IDX-field .IDX-label {
        width: auto;
        min-width: auto;
    }
}

    /* FOOTER */
.IDX-category-details #IDX-detailsContactForm {
    display: none;
}

div.IDX-category-details div#IDX-detailsWrapper.IDX-pageContainer + div,
div.IDX-category-details div#IDX-detailsWrapper.IDX-pageContainer + div *{
    text-align: center!important;
}

#IDX-similar-listings-title {
    text-align: center;
}

#IDX-similar-listings-result {
    justify-content: center;
    margin: 0 auto;
    padding-top: 30px;
    padding-bottom: 30px;
}

@media  (max-width: 1280px) {
    #IDX-similar-listings-result {
        justify-content: space-between;
    }
}

@media  (max-width: 479px) {
    #IDX-similar-listings-result {
       flex-direction: column;
    }
}

#IDX-similar-listings-result .IDX-similar-listings--item {
    display: flex;
    flex-direction: column;
    position: relative;
    width: 45%;
    padding-bottom: 30px;
}

@media  (max-width: 1024px) {
    #IDX-similar-listings-result .IDX-similar-listings--item {
        width: 48%;
        margin: 0;
        padding-bottom: 30px;
    }
}

@media  (max-width: 479px) {
    #IDX-similar-listings-result .IDX-similar-listings--item {
        width: 100%;
    }
}

#IDX-similar-listings-result  .IDX-similar-listings--item-MLSLogo {
    display: none;
}

#IDX-similar-listings-result .IDX-mlsSelectorRulesCourtesy {
    order: 2;
    padding-top: 15px;
    padding-bottom: 5px;
    color: var(--color1);
}

#IDX-similar-listings-result .IDX-similar-listings--item-image {
    order: 1;
    display: block;
    width: 100%;
    border-radius: 8px;
    overflow: hidden;
}

@media  (max-width: 1024px) {
    #IDX-similar-listings-result .IDX-similar-listings--item-image {
        width: 100%;
    }
}

#IDX-similar-listings-result .IDX-similar-listings--item-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#IDX-similar-listings-result .IDX-similar-listings--price {
    position: absolute;
    color: var(--color4);
    background-color: var(--color1);
    padding: 5px 10px;
    border-radius: 4px;
    top: 10px;
    right: 10px;
}

#IDX-similar-listings-result .IDX-similar-listings--info {
    order: 3;
}

#IDX-similar-listings-result .IDX-similar-listings--bed-bath-sqft-acre,
#IDX-similar-listings-result .IDX-similar-listings--address * {
    font-size: 12px;
}

@media  (max-width: 479px) {
    .IDX-category-details #IDX-similar-listings-result .IDX-similar-listings--redirect {
        display: none;
    }
}

/* NO RESULT */
#IDX-resultsRow + div {
    display: none!important;
}

#IDX-noResultsMessage ~ #IDX-resultsTopActions {
    padding-top: 60px;
}

#IDX-resultsContainer.IDX-totalResults-0 #IDX-resultsFooter {
    display: none;
}

#IDX-resultsContainer.IDX-totalResults-0 #IDX-resultsHeader {
    width: 100%;
}

/* LOADER */
.ui-widget-content {
    background: none;
    border: none;
}

#IDX-loadingScreen {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background: none;
    border: none;
}

#IDX-loadingScreen > div {
    position: relative;
}

#IDX-loadingScreen.ui-dialog-content.ui-widget-content > div:before {
    content: '';
    position: absolute;
    height: 40px;
    width: 40px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: url('https://digitalbutlers.me/sources/common/images/loaders/ellipsis-2s-200px.svg') no-repeat center;
    background-size: contain;
}

#IDX-loadingScreen img {
    display: none;
}

.idx-loader svg {
    display: none;
}

/*.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"],*/
/*.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"] ~ .ui-widget-overlay {*/
/*    display: none!important;*/
/*}*/

.ui-dialog[aria-labelledby="ui-dialog-title-IDX-registration"] {
    background-color: var(--color4);
}
